# coding: utf-8
from sqlalchemy import Column, Date, DateTime, String
from sqlalchemy.dialects.mysql import INTEGER

from config.mysql import Base


class ZxIeDischarge(Base):
    __tablename__ = 'zx_ie_discharge'

    pk_ie_discharge = Column(INTEGER(11), primary_key=True, comment='出院记录信息抽取主键')
    pk_phhd = Column(INTEGER(11), nullable=False, unique=True, comment='报销案子主键')
    content = Column(String(5000), comment='详细内容')
    hospital = Column(String(255), comment='医院')
    pk_yljg = Column(INTEGER(11), comment='医院主键')
    department = Column(String(255), comment='科别')
    pk_ylks = Column(INTEGER(11), comment='科别主键')
    name = Column(String(30), comment='患者姓名')
    admission_date_str = Column(String(255), comment='入院日期字符串')
    admission_date = Column(Date, comment='入院日期')
    discharge_date_str = Column(String(255), comment='出院日期字符串')
    discharge_date = Column(Date, comment='出院日期')
    doctor = Column(String(30), comment='主治医师')
    create_time = Column(DateTime, comment='创建时间')
    creator = Column(String(255), comment='创建人')
    update_time = Column(DateTime, comment='修改时间')
    updater = Column(String(255), comment='修改人')
